using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Project.Dialog
{
	public partial class fMessageInput : Form

	{
		public string value = string.Empty;
		public fMessageInput(string msg)
		{
			InitializeComponent();
			this.richTextBox1.Text = msg;
			this.value = msg;
		}

		private void button1_Click(object sender, EventArgs e)
		{
			this.value = this.richTextBox1.Text.Trim();
			DialogResult = DialogResult.OK;
		}

		private void fMessageInput_Load(object sender, EventArgs e)
		{
			this.richTextBox1.SelectAll();
			this.richTextBox1.Focus();
		}
	}
}
